%define soname 12
%def_disable static

Name: libexif
Version: 0.6.16
Release: alt2

Summary: libexif is a library for parsing, editing, and saving EXIF data
License: LGPLv2+
Group: System/Libraries
Url: http://libexif.sourceforge.net

Source: http://prdownloads.sourceforge.net/%name/%name-%version.tar.bz2
Patch0: libexif-0.6.12-gcc4.patch
# fixed in libexif CVS
Patch1: libexif-0.6.12-odd.patch
Patch2: libexif-0.6.12-recurse.patch
Patch3: libexif-0.6.16-pkgconfig.patch
Patch4: libexif-0.6.13-doxygen.patch
Patch5: libexif-0.6.16-fix-infinite-recursion-flaw.patch
Patch6: libexif-0.6.16-fix-integer-overflow.patch

# Automatically added by buildreq on Tue Jun 12 2007
BuildRequires: cvs doxygen gcc-c++

%package devel
Summary: Development file for %name library
Group: Development/C
Requires: %name = %version-%release

%package devel-static
Summary: Static %name library
Group: Development/C
Requires: %name-devel = %version-%release

%description
libexif is a library for parsing, editing, and saving EXIF data. It is
intended to replace lots of redundant implementations in command-line
utilities and programs with GUIs.

%description devel
libexif is a library for parsing, editing, and saving EXIF data. It is
intended to replace lots of redundant implementations in command-line
utilities and programs with GUIs.

%description devel-static
libexif is a library for parsing, editing, and saving EXIF data. It is
intended to replace lots of redundant implementations in command-line
utilities and programs with GUIs.

%prep
%setup -q
%patch3 -p1 -b .pkgconfig
#patch4 -p1 -b .doxygen
%patch5 -p1
%patch6 -p1
subst 's,-g \(-Wall\),\1,g' configure

%build
autoreconf -fisv
%configure %{subst_enable static}
%make_build

%install
%makeinstall
%find_lang --output=%name.lang %name-%soname
rm -rf %buildroot%_datadir/doc/%name

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files -f %name.lang
%doc README ChangeLog
%_libdir/*.so.*

%files devel
%_includedir/%name
%_libdir/*.so
%_libdir/pkgconfig/*

%if_enabled static
%files devel-static
%_libdir/*.a
%endif

%changelog
* Mon Dec 17 2007 Dmitriy Khanzhin <jinn@altlinux.ru> 0.6.16-alt2
- security fixes:
  + CVE-2007-6351, CVE-2007-6352 (upstream patches)
  + thanks ldv@ for information
- licence tag changed to LGPLv2+

* Tue Jun 12 2007 Michael Shigorin <mike@altlinux.org> 0.6.16-alt1
- 0.6.16: major security fixes
  + this version fixes an integer overflow reported by iDefense
  + thanks ldv@ for heads up
- updated patch3
- disabled patch4, updated buildrequires (added doxygen)

* Mon May 14 2007 Michael Shigorin <mike@altlinux.org> 0.6.14-alt1
- 0.6.14: security fixes
  + http://secunia.com/advisories/25235/
    an error exists within the handling of malformed EXIF information;
    this can be exploited to crash an application using the library and may
    allow execution of arbitrary code
  + thanks Valery Inozemtsev (shrek@) for alerting
- s/autoconf/autoreconf -fisv/
- updated buildrequires
- got back translations (apparently missed in 0.6.13 due to 
  packaging thinko re minor/soname during 0.6.12 with .so.12)
- demacrified Url:

* Thu Aug 10 2006 Michael Shigorin <mike@altlinux.org> 0.6.13-alt1
- 0.6.13
- removed patch0 (applied upstream), patch1 and patch2 (failed to apply)
- applied patch3, patch4 from Gentoo

* Thu Feb 02 2006 ALT QA Team Robot <qa-robot@altlinux.org> 0.6.12-alt3.1
- Rebuilt for new pkg-config dependencies.

* Thu Jun 16 2005 Michael Shigorin <mike@altlinux.org> 0.6.12-alt3
- rebuilt for Sisyphus, thanks Led for preparing fixed package
- *fixed* #6943 (libexif failed to handle quite some JPEGs)
-  fixed  #6681 (s/GPL/LGPL/)

* Tue May 24 2005 Yuri N. Sedunov <aris at altlinux.ru> 0.6.12-alt2
- fixed #6943

* Tue May 24 2005 Led <led@linux.kiev.ua> 0.6.12-alt1.1
- Prevent infinite recursion (#156365)
- Fix MakerNote handling (#153282)

* Mon Apr 11 2005 Yuri N. Sedunov <aris@altlinux.ru> 0.6.12-alt1
- 0.6.12

* Mon Sep 27 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.6.10-alt1
- 0.6.10
- do not build devel-static subpackage by default.

* Thu Nov 27 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.5.12-alt2
- Do not package .la files.

* Fri Sep 12 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.5.12-alt1
- new version

* Mon Jan 27 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.5.9-alt1
- new version

* Wed Oct 23 2002 Konstantin Volckov <goldhead@altlinux.ru> 0.5.6-alt1
- 0.5.6
- Rebuilt in new environment

* Mon Mar 04 2002 Konstantin Volckov <goldhead@altlinux.ru> 0.5.0-alt1
- First build for Sisyphus
